zxdg_surface_v6_listener Struct Reference
The zxdg_surface_v6 interface

`#include <xdg-shell-unstable-v6-client-protocol.h>`

## Data Fields

void(* | configure )(void *data, struct zxdg_surface_v6 *zxdg_surface_v6, uint32_t serial)

## Detailed Description

Definition at line 782 of file xdg-shell-unstable-v6-client-protocol.h.

## Field Documentation

## configure

void(* zxdg_surface_v6_listener::configure) (void *data, struct zxdg_surface_v6 *zxdg_surface_v6, uint32_t serial)

suggest a surface change

The configure event marks the end of a configure sequence. A configure sequence is a set of one or more events configuring the state of the xdg_surface, including the final xdg_surface.configure event.

Where applicable, xdg_surface surface roles will during a configure sequence extend this event as a latched state sent as events before the xdg_surface.configure event. Such events should be considered to make up a set of atomically applied configuration states, where the xdg_surface.configure commits the accumulated state.

Clients should arrange their surface for the new states, and then send an ack_configure request with the serial sent in this configure event at some point before committing the new surface.

If the client receives multiple configure events before it can respond to one, it is free to discard all but the last event it received.

Parameters

  serial | serial of the configure event

Definition at line 807 of file xdg-shell-unstable-v6-client-protocol.h.

The documentation for this struct was generated from the following file:

- gen/xdg-shell-unstable-v6-client-protocol.h